'' ***********************************
'' ** THE PROPELLER COOKBOOK        **
'' ** BY JEFF LEDGER                **
'' ** PROJECT 6: SERIAL LCD DEMO    **
'' ***********************************
'' Object Author.... Jon Williams
''
''
'' Uses the Parallax 4x20 serial LCD to display


CON

  _clkmode = xtal1 + pll16x                             ' use crystal x 16
  _xinfreq = 5_000_000                                  ' 5 MHz cyrstal (sys clock = 80 MHz)


OBJ

  lcd : "debug_lcd"


PUB main

    lcd.start(0, 19_200, 4)                             ' start lcd
    lcd.cursor(0)                                       ' cursor off
    lcd.backLight(true)                                 ' backlight on (if available)
    lcd.cls                                             ' clear the lcd
    lcd.str(string("HELLO WORLD", 13))
    lcd.str(string("THE PARALLAX SERIAL LCD MODULE DISPLAYS YOUR INFORMATION.",13))

 
